Bug 53239 - knoqueror crashes with www.redhat.de
knoqueror crashes with www.redhat.de
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kdebase (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-05 08:28 EDT by Gerald Teschl
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-06 22:35:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2001-09-05 08:28:32 EDT
Point konqueror to www.redhat.de and it will crash:

(no debugging symbols found)...(no debugging symbols found)...
0x40e265d9 in __wait4 () from /lib/i686/libc.so.6
#0  0x40e265d9 in __wait4 () from /lib/i686/libc.so.6
#1  0x40ea2054 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x405f7e78 in KCrash::defaultCrashHandler () at eval.c:41
#3  <signal handler called>
#4  0x412e2f3b in khtml::CachedScript::checkNotify ()
   from /usr/lib/libkhtml.so.3
#5  0x412d9369 in khtml::CachedScript::data () from /usr/lib/libkhtml.so.3
#6  0x412dbcef in khtml::Loader::slotFinished () from
/usr/lib/libkhtml.so.3
#7  0x40239a52 in KIO::Job::result () at eval.c:41
#8  0x4021ed39 in KIO::SimpleJob::slotFinished () at eval.c:41
#9  0x40220b69 in KIO::TransferJob::slotFinished () at eval.c:41
#10 0x40892a7b in QObject::activate_signal ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#11 0x4027fe02 in KIO::SlaveInterface::finished () at eval.c:41
#12 0x4020b40c in KIO::SlaveInterface::dispatch () at eval.c:41
#13 0x4027fc81 in KIO::SlaveInterface::dispatch () at eval.c:41
#14 0x40209f94 in KIO::Slave::gotInput () at eval.c:41
#15 0x40892c81 in QObject::activate_signal ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#16 0x408e7a76 in QSocketNotifier::activated ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#17 0x408c5f67 in QSocketNotifier::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2

#18 0x40842891 in QApplication::notify () from
/usr/lib/qt-2.3.1/lib/libqt.so.2

#19 0x4055fc89 in KApplication::notify () at eval.c:41
#20 0x4080d12b in sn_activate () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#21 0x4080d999 in QApplication::processNextEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#22 0x4084474c in QApplication::enter_loop ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#23 0x4080d197 in QApplication::exec () from
/usr/lib/qt-2.3.1/lib/libqt.so.2
#24 0x410349d0 in main () from /usr/lib/konqueror.so
#25 0x0804d0c4 in strcpy ()
#26 0x0804dca9 in strcpy ()
#27 0x0804e136 in strcpy ()
#28 0x0804f501 in strcpy ()
#29 0x40d884b7 in __libc_start_main (main=0x804ef70 <strcpy+16888>, argc=2, 
    ubp_av=0xbffffc84, init=0x804a4d0 <_init>, fini=0x804fc60 <_fini>, 
    rtld_fini=0x4000dc24 <_dl_fini>, stack_end=0xbffffc7c)
    at ../sysdeps/generic/libc-start.c:129
Comment 1 Bernhard Rosenkraenzer 2001-09-05 08:34:34 EDT
Works here with 2.2-10
Comment 2 Stephen John Smoogen 2001-09-06 22:35:14 EDT
Had a similar problem with KDEbase-2.2-10

This is the first time I have had it occur.. all I did was turn on ncsd before
logging in. Actions were to goto newswww.bbc.net.uk, goto www.techtv.com, cruise
in there and then hit backspace several times back to newswww.bbc.net.uk

(no debugging symbols found)...(no debugging symbols found)...
0x40e275d9 in __wait4 () from /lib/i686/libc.so.6
#0  0x40e275d9 in __wait4 () from /lib/i686/libc.so.6
#1  0x40ea3054 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x405f7e78 in KCrash::defaultCrashHandler () at eval.c:41
#3  <signal handler called>
#4  0x411fee09 in KHTMLPart::slotPartRemoved () from /usr/lib/libkhtml.so.3
#5  0x40067962 in KParts::PartManager::partRemoved () at eval.c:41
#6  0x40066215 in KParts::PartManager::removePart () at eval.c:41
#7  0x40073d30 in KParts::PartManager::slotObjectDestroyed () at eval.c:41
#8  0x40893a7b in QObject::activate_signal ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#9  0x408934d2 in QObject::destroyed () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#10 0x40891151 in QObject::~QObject () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#11 0x40060970 in KParts::Part::~Part () at eval.c:41
#12 0x40060ad4 in KParts::ReadOnlyPart::~ReadOnlyPart () at eval.c:41
#13 0x411d2c60 in KHTMLPart::~KHTMLPart () from /usr/lib/libkhtml.so.3
#14 0x40060a2e in KParts::Part::slotWidgetDestroyed () at eval.c:41
#15 0x40893a7b in QObject::activate_signal ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#16 0x408934d2 in QObject::destroyed () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#17 0x40891151 in QObject::~QObject () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#18 0x408d722f in QWidget::~QWidget () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#19 0x4096ba1b in QScrollView::~QScrollView ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#20 0x411cc25e in KHTMLView::~KHTMLView () from /usr/lib/libkhtml.so.3
#21 0x408d718a in QWidget::~QWidget () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#22 0x40abd7b4 in QClipperWidget::~QClipperWidget ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#23 0x408d718a in QWidget::~QWidget () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#24 0x4096b992 in QScrollView::~QScrollView ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#25 0x411cc25e in KHTMLView::~KHTMLView () from /usr/lib/libkhtml.so.3
#26 0x40060900 in KParts::Part::~Part () at eval.c:41
#27 0x40060ad4 in KParts::ReadOnlyPart::~ReadOnlyPart () at eval.c:41
#28 0x411d2c60 in KHTMLPart::~KHTMLPart () from /usr/lib/libkhtml.so.3
#29 0x411d6782 in KHTMLPart::clear () from /usr/lib/libkhtml.so.3
#30 0x411edae2 in KHTMLPart::restoreState () from /usr/lib/libkhtml.so.3
#31 0x411ffc49 in KHTMLPartBrowserExtension::restoreState ()
   from /usr/lib/libkhtml.so.3
#32 0x4103c9b1 in KonqView::go () from /usr/lib/konqueror.so
#33 0x4101d1eb in KonqMainWindow::slotGoHistoryDelayed ()
   from /usr/lib/konqueror.so
#34 0x40893c81 in QObject::activate_signal ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#35 0x408c4b32 in QSignal::activate () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#36 0x408ca96b in QSingleShotTimer::event ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2

#37 0x40843891 in QApplication::notify () from /usr/lib/qt-2.3.1/lib/libqt.so.2

#38 0x4055fc89 in KApplication::notify () at eval.c:41
#39 0x40810c66 in qt_activate_timers () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#40 0x4080e9a4 in QApplication::processNextEvent ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#41 0x4084574c in QApplication::enter_loop ()
   from /usr/lib/qt-2.3.1/lib/libqt.so.2
#42 0x4080e197 in QApplication::exec () from /usr/lib/qt-2.3.1/lib/libqt.so.2
#43 0x4100a9d0 in main () from /usr/lib/konqueror.so
#44 0x0804d0c4 in strcpy ()
#45 0x0804dca9 in strcpy ()
#46 0x0804e0e8 in strcpy ()
#47 0x0804f501 in strcpy ()
#48 0x40d894b7 in __libc_start_main (main=0x804ef70 <strcpy+16888>, argc=2, 
    ubp_av=0xbffff9b4, init=0x804a4d0 <_init>, fini=0x804fc60 <_fini>, 
    rtld_fini=0x4000dc24 <_dl_fini>, stack_end=0xbffff9ac)
    at ../sysdeps/generic/libc-start.c:129
Comment 3 Bernhard Rosenkraenzer 2001-09-11 05:07:01 EDT
Works here (kdelibs-2.2-11, kdebase-2.2-12).


Note You need to log in before you can comment on or make changes to this bug.